Declare Function GetPrivateProfileString Lib "kernel" (ByVal szSection$, ByVal szEntry$, ByVal szDefault$, ByVal szBuf$, ByVal nBufLen%, ByVal szFile$) As Integer
Declare Function GetSystemMetrics Lib "user.exe" (ByVal nIndex%) As Integer
Global GraphType As Integer
Global GraphStyle As Integer
Global LogoPath As String
Global Const SM_CYMENU = 15
Global Const SM_CYCAPTION = 4
Global redrawflag As Integer
Global ChangeGrid As Integer

Sub FillGrid ()
    Form3.Grid1.Rows = 3
    Form3.Grid1.Cols = 6
    Form3.Grid1.FixedRows = 1
    Form3.Grid1.FixedCols = 1
    Form3.Grid1.FillStyle = 1
    Form3.Grid1.Text = ""
    Form3.Grid1.FillStyle = 0
    Form3.Grid1.ScrollBars = 0
    
    Form3.Grid1.Row = 0
    Form3.Grid1.Col = 1
    Form3.Grid1.Text = "One"
    Form3.Grid1.Col = 2
    Form3.Grid1.Text = "Two"
    Form3.Grid1.Col = 3
    Form3.Grid1.Text = "Three"
    Form3.Grid1.Col = 4
    Form3.Grid1.Text = "Four"
    Form3.Grid1.Col = 5
    Form3.Grid1.Text = "Five"

    Form3.Grid1.Col = 0
    Form3.Grid1.Row = 1
    Form3.Grid1.Text = "Set 1"
    Form3.Grid1.Row = 2
    Form3.Grid1.Text = "Set 2"
    
    Form3.Grid1.Row = 1
    Form3.Grid1.Col = 1
    Form3.Grid1.Text = "20"
    Form3.Grid1.Col = 2
    Form3.Grid1.Text = "40"
    Form3.Grid1.Col = 3
    Form3.Grid1.Text = "30"
    Form3.Grid1.Col = 4
    Form3.Grid1.Text = "50"
    Form3.Grid1.Col = 5
    Form3.Grid1.Text = "10"

    Form3.Grid1.Row = 2
    Form3.Grid1.Col = 1
    Form3.Grid1.Text = "25"
    Form3.Grid1.Col = 2
    Form3.Grid1.Text = "10"
    Form3.Grid1.Col = 3
    Form3.Grid1.Text = "35"
    Form3.Grid1.Col = 4
    Form3.Grid1.Text = "20"
    Form3.Grid1.Col = 5
    Form3.Grid1.Text = "15"

End Sub

Sub GridtoGraph ()
   c = Form3.Grid1.SelEndCol - Form3.Grid1.SelStartCol + 1
   If c > 1 And c < 6 Then
    Form3.Graph1.NumPoints = c
    r = Form3.Grid1.SelEndRow - Form3.Grid1.SelStartRow + 1
    If r > 0 And r < 3 Then
       Form3.Graph1.NumSets = r
    End If
    Form3.Graph1.QuickData = Form3.Grid1.Clip
    Form3.Graph1.DataReset = 5 ' Clear legends
    
    Form3.Graph1.AutoInc = 1
    If r = 2 Then ' Two Sets of Data
        Form3.Graph1.LegendText = "Set 1"
        Form3.Graph1.LegendText = "Set 2"
        Form3.Graph1.ColorData = 9
        Form3.Graph1.ColorData = 10
    Else
        If Form3.Grid1.SelStartRow = 1 Then
       ' Only set 1 is being graphed
            Form3.Graph1.LegendText = "Set 1"
            nCol = 9
        Else
       ' Only set 2 is being graphed
            Form3.Graph1.LegendText = "Set 2"
            nCol = 10
        End If
        For i = 1 To Form3.Graph1.NumPoints
            Form3.Graph1.ColorData = nCol
        Next
    End If
    

    r = Form3.Grid1.Row
    c = Form3.Grid1.Col
    Form3.Grid1.Row = 0 ' Form axis labels
    For i = Form3.Grid1.SelStartCol To Form3.Grid1.SelEndCol
       Form3.Grid1.Col = i
       Form3.Graph1.LabelText = Form3.Grid1.Text
    Next

    Form3.Grid1.Row = r
    Form3.Grid1.Col = c
    Form3.Graph1.DrawMode = 2
   End If


End Sub

Sub PointsnSets ()
    n = Val(LTrim(Form2.MaskedEdit1.Text))
    If n > 5 Then
        r = MsgBox("Demo version limit of 5 points", 64, "ChartBuilder Demo")
        Form2.MaskedEdit1.Text = "05"
    End If
    n = Val(LTrim(Form2.MaskedEdit2.Text))
    If n > 2 Then
        r = MsgBox("Demo version limit of 2 sets", 64, "ChartBuilder Demo")
        Form2.MaskedEdit2.Text = "02"
        Form1.Graph1.NumSets = 2
        Form1.Graph1.DrawMode = 2
    End If
    Form1.Graph1.NumPoints = Val(LTrim(Form2.MaskedEdit1.Text))
    Form1.Graph1.NumSets = Val(LTrim(Form2.MaskedEdit2.Text))
End Sub

Sub ResetGraphStyle (GType%)
    ' Set graph style combo box (combo2) to match graph type (Gtype%)

    Dim TempStyleSetting As Integer
    TempStyleSetting = Form2.Combo2.ListIndex

    Form2.Combo2.Clear
    Select Case GType%
        Case 1
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "No Label Lines"
            Form2.Combo2.AddItem "Colored Labels"
            Form2.Combo2.AddItem "Colored Labels No Lines"
            Form2.Combo2.AddItem "% Labels"
            Form2.Combo2.AddItem "% Labels without Lines"
            Form2.Combo2.AddItem "% Colored Labels"
            Form2.Combo2.AddItem "% Colored Labels without LInes"
            If GraphType = 1 Or GraphType = 2 Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If
        
        Case 2
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "No Label Lines"
            Form2.Combo2.AddItem "Colored Labels"
            Form2.Combo2.AddItem "Colored Labels No Lines"
            Form2.Combo2.AddItem "% Labels"
            Form2.Combo2.AddItem "% Labels without Lines"
            Form2.Combo2.AddItem "% Colored Labels"
            Form2.Combo2.AddItem "% Colored Labels without LInes"
            If GraphType = 1 Or GraphType = 2 Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If
        Case 3
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "Horizontal"
            Form2.Combo2.AddItem "Stacked"
            Form2.Combo2.AddItem "Horizontal Stacked"
            Form2.Combo2.AddItem "Stacked %"
            Form2.Combo2.AddItem "Horizontal Stacked %"
            If GraphType = 3 Or (GraphType = 4 And GraphStyle <= 5) Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If
        Case 4
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "Horizontal"
            Form2.Combo2.AddItem "Stacked"
            Form2.Combo2.AddItem "Horizontal Stacked"
            Form2.Combo2.AddItem "Stacked %"
            Form2.Combo2.AddItem "Horizontal Stacked %"
            Form2.Combo2.AddItem "Z-Clustered"
            Form2.Combo2.AddItem "Horizontal Z_Clustered"
            If GraphType = 3 Or GraphType = 4 Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If
        
        Case 5
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "Spaced Bars"
            If GraphType = 5 Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If

        Case 6
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "Symbols"
            Form2.Combo2.AddItem "Sticks"
            Form2.Combo2.AddItem "Stick and Symbols"
            Form2.Combo2.AddItem "Lines"
            Form2.Combo2.AddItem "Lines and Symbols"
            Form2.Combo2.AddItem "Lines and Sticks"
            Form2.Combo2.AddItem "Lines, Sticks, and Symbols"
            If GraphType = 6 Or GraphType = 7 Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If
        
        Case 7
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "Symbols"
            Form2.Combo2.AddItem "Sticks"
            Form2.Combo2.AddItem "Stick and Symbols"
            Form2.Combo2.AddItem "Lines"
            Form2.Combo2.AddItem "Lines and Symbols"
            Form2.Combo2.AddItem "Lines and Sticks"
            Form2.Combo2.AddItem "Lines, Sticks, and Symbols"
            If GraphType = 6 Or GraphType = 7 Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If

        Case 8
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "Absolute"
            Form2.Combo2.AddItem "Percentage"
            If GraphType = 8 Or GraphType = 14 Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If
        
        Case 9
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "Curve Only"
            Form2.Combo2.AddItem "Symbols Only"
            Form2.Combo2.AddItem "Curve and SymbolsStick and Symbols"
            If GraphType = 9 Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If
        
        Case 10
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "Symbols"
            Form2.Combo2.AddItem "Sticks"
            Form2.Combo2.AddItem "Stick and Symbols"
            Form2.Combo2.AddItem "Lines"
            Form2.Combo2.AddItem "Lines and Symbols"
            Form2.Combo2.AddItem "Lines and Sticks"
            Form2.Combo2.AddItem "Lines, Sticks, and Symbols"
            If GraphType = 10 Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If
        
        Case 11
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "No Close Bar"
            Form2.Combo2.AddItem "No High-Low Bars"
            Form2.Combo2.AddItem "No Bars"
            If GraphType = 11 Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If
        
        Case 12  'No Options
            Form2.Combo2.AddItem "Default"
            GraphStyle = 0
            Form2.Combo2.ListIndex = 0
        Case 13  'No Options
            Form2.Combo2.AddItem "Default"
            GraphStyle = 0
            Form2.Combo2.ListIndex = 0
        Case 14
            Form2.Combo2.AddItem "Default"
            Form2.Combo2.AddItem "Absolute"
            Form2.Combo2.AddItem "Percentage"
            If GraphType = 8 Or GraphType = 14 Then
                Form2.Combo2.ListIndex = GraphStyle
            Else
                Form2.Combo2.ListIndex = 0
            End If

    End Select

End Sub

